package com.dgtis.dorm.manager.db.domain;

import java.util.Date;

public class AlumniFriUser {
    private Integer id;

    private Integer friUserId;

    private Integer fkUserId;

    private Date createDate;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getFriUserId() {
        return friUserId;
    }

    public void setFriUserId(Integer friUserId) {
        this.friUserId = friUserId;
    }

    public Integer getFkUserId() {
        return fkUserId;
    }

    public void setFkUserId(Integer fkUserId) {
        this.fkUserId = fkUserId;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", friUserId=").append(friUserId);
        sb.append(", fkUserId=").append(fkUserId);
        sb.append(", createDate=").append(createDate);
        sb.append("]");
        return sb.toString();
    }
}